%define debug_package %{nil}

Summary:	dcp - copy and profile files and directories

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		NSA
Name:		dcp
Version:	1.0.6
Release:	1%{?dist}
URL:		https://github.com/nationalsecurityagency/dcp

License:	MIT

Group:		Applications/Forensics Tools
Source:		%{name}-%{version}.tar.gz

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}
BuildRequires:  autoconf automake pkgconfig gettext-devel libtool gcc gengetopt
BuildRequires:	jansson-devel openssl-devel libdb-devel

%description
dcp combines cp, stat, md5sum and shasum to streamline mirroring and gathering
information about all the files copied. All information gathered is written to 
an output file. The output file can be fed back into dcp when copying 
snapshots of a directory, this allows only files which differ in location or 
hash to be copied.

%prep
%setup 

%build
sh bootstrap.sh
%configure
%{__make}

%install
%{__install} -Dp -m755 src/%{name} %{buildroot}%{_bindir}/%{name}
%{__install} -Dp -m644 %{name}.man %{buildroot}%{_mandir}/man1/%{name}.1

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING INSTALL LICENSE NEWS README README-devel VERSION
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Tue Oct  3 2017 Lawrence Rogers <lrr@cert.org> 1.0-1
* Release 1.0-1
	Initial release

